Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2093::/16
First address
2093::
Last address
2093:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2093:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
3.9.0.2.ip6.arpa
Split into smaller subnets/24

2093::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
12093::/242093:ff:ffff:ffff:ffff:ffff:ffff:ffff
22093:100::/242093:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32093:200::/242093:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42093:300::/242093:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52093:400::/242093:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62093:500::/242093:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72093:600::/242093:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82093:700::/242093:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92093:800::/242093:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102093:900::/242093:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112093:a00::/242093:aff:ffff:ffff:ffff:ffff:ffff:ffff
122093:b00::/242093:bff:ffff:ffff:ffff:ffff:ffff:ffff
132093:c00::/242093:cff:ffff:ffff:ffff:ffff:ffff:ffff
142093:d00::/242093:dff:ffff:ffff:ffff:ffff:ffff:ffff
152093:e00::/242093:eff:ffff:ffff:ffff:ffff:ffff:ffff
162093:f00::/242093:fff:ffff:ffff:ffff:ffff:ffff:ffff
172093:1000::/242093:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182093:1100::/242093:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192093:1200::/242093:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202093:1300::/242093:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212093:1400::/242093:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222093:1500::/242093:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232093:1600::/242093:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242093:1700::/242093:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252093:1800::/242093:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262093:1900::/242093:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272093:1a00::/242093:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282093:1b00::/242093:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292093:1c00::/242093:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302093:1d00::/242093:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312093:1e00::/242093:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322093:1f00::/242093:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332093:2000::/242093:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342093:2100::/242093:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352093:2200::/242093:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362093:2300::/242093:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372093:2400::/242093:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382093:2500::/242093:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392093:2600::/242093:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402093:2700::/242093:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412093:2800::/242093:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422093:2900::/242093:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432093:2a00::/242093:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442093:2b00::/242093:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452093:2c00::/242093:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462093:2d00::/242093:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472093:2e00::/242093:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482093:2f00::/242093:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492093:3000::/242093:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502093:3100::/242093:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512093:3200::/242093:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522093:3300::/242093:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532093:3400::/242093:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542093:3500::/242093:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552093:3600::/242093:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562093:3700::/242093:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572093:3800::/242093:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582093:3900::/242093:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592093:3a00::/242093:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602093:3b00::/242093:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612093:3c00::/242093:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622093:3d00::/242093:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632093:3e00::/242093:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642093:3f00::/242093:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652093:4000::/242093:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662093:4100::/242093:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672093:4200::/242093:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682093:4300::/242093:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692093:4400::/242093:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702093:4500::/242093:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712093:4600::/242093:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722093:4700::/242093:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732093:4800::/242093:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742093:4900::/242093:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752093:4a00::/242093:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762093:4b00::/242093:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772093:4c00::/242093:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782093:4d00::/242093:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792093:4e00::/242093:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802093:4f00::/242093:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812093:5000::/242093:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822093:5100::/242093:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832093:5200::/242093:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842093:5300::/242093:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852093:5400::/242093:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862093:5500::/242093:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872093:5600::/242093:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882093:5700::/242093:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892093:5800::/242093:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902093:5900::/242093:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912093:5a00::/242093:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922093:5b00::/242093:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932093:5c00::/242093:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942093:5d00::/242093:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952093:5e00::/242093:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962093:5f00::/242093:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972093:6000::/242093:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982093:6100::/242093:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992093:6200::/242093:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002093:6300::/242093:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012093:6400::/242093:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022093:6500::/242093:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032093:6600::/242093:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042093:6700::/242093:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052093:6800::/242093:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062093:6900::/242093:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072093:6a00::/242093:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082093:6b00::/242093:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092093:6c00::/242093:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102093:6d00::/242093:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112093:6e00::/242093:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122093:6f00::/242093:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132093:7000::/242093:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142093:7100::/242093:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152093:7200::/242093:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162093:7300::/242093:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172093:7400::/242093:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182093:7500::/242093:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192093:7600::/242093:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202093:7700::/242093:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212093:7800::/242093:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222093:7900::/242093:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232093:7a00::/242093:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242093:7b00::/242093:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252093:7c00::/242093:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262093:7d00::/242093:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272093:7e00::/242093:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282093:7f00::/242093:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292093:8000::/242093:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302093:8100::/242093:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312093:8200::/242093:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322093:8300::/242093:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332093:8400::/242093:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342093:8500::/242093:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352093:8600::/242093:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362093:8700::/242093:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372093:8800::/242093:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382093:8900::/242093:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392093:8a00::/242093:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402093:8b00::/242093:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412093:8c00::/242093:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422093:8d00::/242093:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432093:8e00::/242093:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442093:8f00::/242093:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452093:9000::/242093:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462093:9100::/242093:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472093:9200::/242093:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482093:9300::/242093:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492093:9400::/242093:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502093:9500::/242093:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512093:9600::/242093:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522093:9700::/242093:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532093:9800::/242093:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542093:9900::/242093:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552093:9a00::/242093:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562093:9b00::/242093:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572093:9c00::/242093:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582093:9d00::/242093:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592093:9e00::/242093:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602093:9f00::/242093:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612093:a000::/242093:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622093:a100::/242093:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632093:a200::/242093:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642093:a300::/242093:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652093:a400::/242093:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662093:a500::/242093:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672093:a600::/242093:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682093:a700::/242093:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692093:a800::/242093:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702093:a900::/242093:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712093:aa00::/242093:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722093:ab00::/242093:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732093:ac00::/242093:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742093:ad00::/242093:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752093:ae00::/242093:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762093:af00::/242093:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772093:b000::/242093:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782093:b100::/242093:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792093:b200::/242093:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802093:b300::/242093:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812093:b400::/242093:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822093:b500::/242093:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832093:b600::/242093:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842093:b700::/242093:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852093:b800::/242093:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862093:b900::/242093:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872093:ba00::/242093:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882093:bb00::/242093:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892093:bc00::/242093:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902093:bd00::/242093:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912093:be00::/242093:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922093:bf00::/242093:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932093:c000::/242093:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942093:c100::/242093:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952093:c200::/242093:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962093:c300::/242093:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972093:c400::/242093:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982093:c500::/242093:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992093:c600::/242093:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002093:c700::/242093:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012093:c800::/242093:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022093:c900::/242093:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032093:ca00::/242093:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042093:cb00::/242093:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052093:cc00::/242093:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062093:cd00::/242093:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072093:ce00::/242093:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082093:cf00::/242093:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092093:d000::/242093:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102093:d100::/242093:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112093:d200::/242093:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122093:d300::/242093:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132093:d400::/242093:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142093:d500::/242093:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152093:d600::/242093:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162093:d700::/242093:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172093:d800::/242093:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182093:d900::/242093:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192093:da00::/242093:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202093:db00::/242093:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212093:dc00::/242093:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222093:dd00::/242093:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232093:de00::/242093:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242093:df00::/242093:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252093:e000::/242093:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262093:e100::/242093:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272093:e200::/242093:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282093:e300::/242093:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292093:e400::/242093:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302093:e500::/242093:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312093:e600::/242093:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322093:e700::/242093:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332093:e800::/242093:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342093:e900::/242093:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352093:ea00::/242093:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362093:eb00::/242093:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372093:ec00::/242093:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382093:ed00::/242093:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392093:ee00::/242093:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402093:ef00::/242093:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412093:f000::/242093:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422093:f100::/242093:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432093:f200::/242093:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442093:f300::/242093:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452093:f400::/242093:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462093:f500::/242093:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472093:f600::/242093:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482093:f700::/242093:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492093:f800::/242093:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502093:f900::/242093:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512093:fa00::/242093:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522093:fb00::/242093:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532093:fc00::/242093:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542093:fd00::/242093:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552093:fe00::/242093:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562093:ff00::/242093:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses